# Interface methods for submodule: ScalarImageToHistogramGenerator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: ScalarImageToHistogramGenerator
class ScalarImageToHistogramGeneratorProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def Compute(self) -> None:
		""""""
		...

	def SetInput(self, arg0) -> None:
		""""""
		...

	def GetOutput(self):
		""""""
		...

	def SetNumberOfBins(self, numberOfBins: int) -> None:
		""""""
		...

	def SetMarginalScale(self, marginalScale: float) -> None:
		""""""
		...

	def SetHistogramMin(self, minimumValue: float) -> None:
		""""""
		...

	def SetHistogramMax(self, maximumValue: float) -> None:
		""""""
		...

	def SetAutoHistogramMinimumMaximum(self, autoOnOff: bool) -> None:
		""""""
		...

